典名词元典名词元首页
API 文档三方工具教程
AI 模型接口视频Vidu

首尾帧生视频VQ1C

POST/api/v1/video/generation

Header Parameters

Authorization*string

格式: Authorization: Bearer sk-xxxxxx

Request Body

application/json

_action*string

固定值i2v

model*string

模型名称, 支持:

viduq1-classic

headtailImages?object

首尾帧图片信息, 首尾生必填

headImage?object

首帧图片信息

imageUrl?string

图片链接

tailImage?object

尾帧图片信息

imageUrl?string

图片链接

prompt*string

生成的提示文本,必填

duration?integer

视频时长,单位 s,支持:

5

resolution?string

分辨率,支持:

1080p

seed?integer

随机种子,非必填

aspectRatio?string

比例,非必填,默认 16:9 , 支持:

16:9

9:16

1:1

movementAmplitude?string

运动幅度,非必填,默认 auto, 支持:

auto

small

medium

large

Response Body

application/json

curl -X POST "https://api.aa.com.cn/api/v1/video/generation" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{    "_action": "string",    "model": "string",    "headtailImages": {      "headImage": {        "imageUrl": "string"      },      "tailImage": {        "imageUrl": "string"      }    },    "prompt": "string",    "duration": 0,    "resolution": "string",    "seed": 0,    "aspectRatio": "string",    "movementAmplitude": "string"  }'
{
  "code": 0,
  "data": {
    "urls": [
      "string"
    ],
    "usage": {
      "images": 0,
      "seconds": 0,
      "input_tokens": 0,
      "total_tokens": 0,
      "output_tokens": 0
    },
    "expired": "string",
    "task_id": "string",
    "task_status": "string"
  },
  "message": "string",
  "request_id": "string"
}